Atlasプロジェクトリンクをプロジェクトからクリアします。プロジェクト オーナーのロールが必要です。
DELETE /api/v1 /projects/{id}/atlas-link
curl \
--request DELETE 'https://agentengine.mongodb.com/api/v1/projects/{id}/atlas-link' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"atlas_project": {
"environment": "string",
"project_id": "string"
},
"egress_sync": {
"cluster_count": 42,
"clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"clusters_differ": true,
"last_success_at": "string",
"last_sync_at": "string",
"live_clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"live_fetch_error": "string",
"sync_error": "string",
"sync_status": "string"
},
"name": "string",
"org_id": "string",
"project_id": "string"
}
応答の例(200)
{
"atlas_project": {
"environment": "string",
"project_id": "string"
},
"egress_sync": {
"cluster_count": 42,
"clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"clusters_differ": true,
"last_success_at": "string",
"last_sync_at": "string",
"live_clusters": [
{
"hosts": [
"string"
],
"name": "string",
"publicIpv4Addresses": [
"string"
],
"type": "string",
"uniqueId": "string"
}
],
"live_fetch_error": "string",
"sync_error": "string",
"sync_status": "string"
},
"name": "string",
"org_id": "string",
"project_id": "string"
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(404)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(404)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}